package org.vraptor.jpa;

import org.vraptor.annotations.Component;
import org.vraptor.plugin.jpa.Transaction;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 * @Author Fabio Kung
 */
@Component("animals/dog")
public class DogComponent {

	@PersistenceContext
	private EntityManager manager;

	@Transaction
	public void save(Dog dog) {
		manager.persist(dog);
	}
}
