package org.vraptor.jpa;

import org.vraptor.annotations.Component;

import javax.persistence.EntityManager;
import java.util.List;

/**
 * @author Fabio Kung
 */
@Component("animals/dog")
public class DogListComponent {
    private final EntityManager manager;

    private List<Dog> dogs;

    public DogListComponent(EntityManager manager) {
        this.manager = manager;
    }

    public void list() {
        this.dogs = manager.createQuery("select dog from Dog dog").getResultList();
    }
    
    public List<Dog> getDogs() {
		return dogs;
	}
}
